org.apache.ignite.internal.processors.cache

## Interface GridCacheSharedManager<K,V>

All Known Subinterfaces:
  IgnitePageStoreManager, IgniteWriteAheadLogManager

All Known Implementing Classes:
  CacheAffinitySharedManager, CacheJtaManagerAdapter, CacheNoopJtaManager, FilePageStoreManager, FileWriteAheadLogManager, GridCacheDatabaseSharedManager, GridCacheDeploymentManager, GridCacheIoManager, GridCacheMvccManager, GridCachePartitionExchangeManager, GridCacheSharedManagerAdapter, GridCacheSharedTtlCleanupManager, GridCacheVersionManager, IgniteCacheDatabaseSharedManager, IgniteCacheSnapshotManager, IgniteTxManager

    public interface GridCacheSharedManager<K,V>

Cache manager shared across all caches.

### Method Summary

Methods
`void` `onDisconnected(IgniteFuture<?> reconnectFut)`
`void` `onKernalStop(boolean cancel)`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `start(GridCacheSharedContext<K,V> cctx)` Starts manager.
`void` `stop(boolean cancel)` Stops manager.

### Method Detail

#### start

    void start(GridCacheSharedContext<K,V> cctx)
               throws IgniteCheckedException

Starts manager.

Parameters:
  `cctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### stop

    void stop(boolean cancel)

Stops manager.

Parameters:
  `cancel` - Cancel flag.

#### onKernalStop

    void onKernalStop(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### onDisconnected

    void onDisconnected(IgniteFuture<?> reconnectFut)

Parameters:
  `reconnectFut` - Reconnect future.

#### printMemoryStats

    void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017